//index.js
//获取应用实例
const app = getApp()

Page({
  onReady() {
    wx.setNavigationBarTitle({
      title: '个人资料'
    })
  },
  data: {
    UserInfo: app.globalData.UserInfo, // 用户信息
    FormOff: true, // 表单验重提交开关
    FormData: { // 提交数据
      UserIcon: '/assets/images/img1.jpg', // 用户头像
      NickName: '示例昵称', // 昵称
      PhoneNum: '18267901393', // 绑定手机号
      CardNum: '346555212451214544', // 证件号码
      CityId: '1' // 所属城市id
    },
    TriggerSelectCity: false, // 显隐选择城市控件
    CityName: '南京', // 所属城市名称
    CityList: [{
      value: '南京',
      id: '1'
    }, {
      value: '上海',
      id: '2'
    }, {
      value: '苏州',
      id: '3'
    }]
  },
  SaveForm() { // 提交表单数据
    if (this.data.FormOff) {
      this.setData({
        FormOff: false
      })
    }
  },
  SelectCityConfirm(e) { // 确认选择城市
    this.setData({
      FormData: {
        ...this.data.FormData,
        CityId: e.detail.value.id
      },
      CityName: e.detail.value.value,
      TriggerSelectCity: false
    })
  },
  SelectCityCancel() { // 取消选择城市
    this.setData({
      TriggerSelectCity: false
    })
  },
  SelectCity() { // 打开城市选择器
    this.setData({
      TriggerSelectCity: true
    })
  },
  FormInput(e) { // 表单输入数据绑定
    this.setData({
      FormData: {
        ...this.data.FormData,
        [e.target.dataset.name]: e.detail.value
      }
    })
  },
  UpdateIcon() { // 更换头像
    let _self = this
    wx.chooseImage({
      count: 1,
      sizeType: ['original', 'compressed'],
      sourceType: ['album', 'camera'],
      success(res) {
        _self.setData({
          FormData: {
            ..._self.data.FormData,
            UserIcon: res.tempFilePaths
          }
        })
      }
    })
  }
})